View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17978Bug reportsStatisticspublic2022-05-23 11:30
Reportermatthewpulis Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.25.20 
Summary17978: Public stat show all response and not only submitted
Description

The public statistics are showing all responses and not only the submitted final answers.

https://mpulis.ml/index.php/statistics_user/548356?language=en - would show all the non-completed results too.

Steps To Reproduce

Steps to reproduce

Going to the public stats page you would see all the records

Expected result

Only display the submitted final answers

Actual result

All records are displayed

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)3.28.1+220229
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMariaDB
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.28

Relationships

related to 17977 confirmedgabrieljenik Admin change update public statistics 

Users monitoring this issue

User List matthewpulis

Activities

matthewpulis

matthewpulis

2022-03-21 11:23

reporter  

image.png (57,802 bytes)   
image.png (57,802 bytes)   
gabrieljenik

gabrieljenik

2022-04-14 14:22

manager   ~69075

Please, can youtry reviewing the config setting named "filterout_incomplete_answers", under config-defaults.php?

image-2.png (36,245 bytes)   
image-2.png (36,245 bytes)   
matthewpulis

matthewpulis

2022-04-21 16:40

reporter   ~69169

It was 'all' . Changed it to 'complete' but no luck. PS I've upgraded to the latest version

image-3.png (41,480 bytes)   
image-3.png (41,480 bytes)   
gabrieljenik

gabrieljenik

2022-05-03 16:23

manager   ~69374

Hi @matthewpulis

I have tried to reproduce it and realize that the filterout_incomplete_answers is later stored on a session variable.
So please, as to check the filter is updated, can I ask you to log in and log out after changing it?

gabrieljenik

gabrieljenik

2022-05-03 16:23

manager   ~69375

Last edited: 2022-05-03 16:36

Got into a dump while reviewing having filtering = 'complete'
Here is the fix: https://github.com/LimeSurvey/LimeSurvey/pull/2389

gabrieljenik

gabrieljenik

2022-05-20 08:39

manager   ~69893

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33514

LimeBot

LimeBot

2022-05-23 11:30

administrator   ~69976

Fixed in Release 5.3.16+220523

Related Changesets

LimeSurvey: master 2d3b176e

2022-05-20 08:39:41

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17978: Public stat show all response and not only submitted (#2389)

Dev $query was not initialized. Probably some error while porting.
Affected Issues
17978
mod - application/helpers/userstatistics_helper.php Diff File

Issue History

Date Modified Username Field Change
2022-03-21 11:23 matthewpulis New Issue
2022-03-21 11:23 matthewpulis File Added: limesurvey_survey_548356 (1).lss
2022-03-21 11:23 matthewpulis File Added: image.png
2022-03-21 11:48 galads Assigned To => galads
2022-03-21 11:48 galads Status new => confirmed
2022-03-21 11:48 galads Description Updated
2022-03-21 11:48 galads Steps to Reproduce Updated
2022-03-21 11:48 galads Zoho Project Synchronization => |Yes|
2022-03-21 12:29 matthewpulis Issue Monitored: matthewpulis
2022-03-21 12:29 matthewpulis Bug heat 0 => 2
2022-04-01 10:02 galads Assigned To galads => gabrieljenik
2022-04-01 10:02 galads Zoho Project Synchronization Yes =>
2022-04-06 16:36 gabrieljenik Relationship added related to 17977
2022-04-14 14:22 gabrieljenik Note Added: 69075
2022-04-14 14:22 gabrieljenik File Added: image-2.png
2022-04-14 14:22 gabrieljenik Bug heat 2 => 4
2022-04-14 14:22 gabrieljenik Status confirmed => feedback
2022-04-21 16:40 matthewpulis Note Added: 69169
2022-04-21 16:40 matthewpulis File Added: image-3.png
2022-04-21 16:40 matthewpulis Bug heat 4 => 6
2022-04-21 16:40 matthewpulis Status feedback => assigned
2022-05-03 16:23 gabrieljenik Note Added: 69374
2022-05-03 16:23 gabrieljenik Note Added: 69375
2022-05-03 16:24 gabrieljenik Status assigned => ready for testing
2022-05-03 16:36 gabrieljenik Note Edited: 69375
2022-05-20 08:39 gabrieljenik Changeset attached => LimeSurvey master 2d3b176e
2022-05-20 08:39 gabrieljenik Note Added: 69893
2022-05-20 08:39 gabrieljenik Resolution open => fixed
2022-05-20 08:40 c_schmitz Note View State: 69375: public
2022-05-20 08:40 c_schmitz Status ready for testing => resolved
2022-05-23 11:30 LimeBot Note Added: 69976
2022-05-23 11:30 LimeBot Status resolved => closed
2022-05-23 11:30 LimeBot Bug heat 6 => 8